Bug 1328674 - diskspacecheck=0 in dnf.conf has no effect
diskspacecheck=0 in dnf.conf has no effect
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-04-19 23:08 EDT by Seth Jennings
Modified: 2016-05-21 22:25 EDT (History)
5 users (show)

See Also:
Fixed In Version: dnf-1.1.9-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-21 22:25:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Seth Jennings 2016-04-19 23:08:07 EDT
Description of problem:
diskspacecheck=0 in dnf.conf does not skip the disk space check in the rpm transaction

Version-Release number of selected component (if applicable):
dnf-1.1.8-1

How reproducible:
Always

Steps to Reproduce:
1. set diskspacecheck=0 in /etc/dnf/dnf.conf
2. write a file that nearly the fills the root filesystem (around 500 MB remaining)
3. dnf --enablerepo=* install kernel-debuginfo (or any large package)

Actual results:
disk space check is still done and transaction check fails

Expected results:
disk space check is not done and install proceeds (then fails when out of disk)

Additional info:
There is code in base.py to handle this but it doesn't do it correctly.  The rpm problem filter is not updated with RPMRPOB_FILTER_DISKSPACE.
Comment 1 Seth Jennings 2016-04-19 23:20:59 EDT
Upstream pull request filed to fix this:
https://github.com/rpm-software-management/dnf/pull/471
Comment 2 Seth Jennings 2016-04-29 12:34:20 EDT
New upstream PR:
https://github.com/rpm-software-management/dnf/pull/480
Comment 3 Fedora Update System 2016-05-19 07:08:30 EDT
dnf-plugins-core-0.1.21-1.fc24 dnf-1.1.9-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1efd7bc386
Comment 4 Fedora Update System 2016-05-19 07:10:38 EDT
dnf-1.1.9-1.fc23 dnf-plugins-core-0.1.21-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-bb69db975e
Comment 5 Fedora Update System 2016-05-20 21:33:15 EDT
dnf-1.1.9-1.fc24, dnf-plugins-core-0.1.21-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1efd7bc386
Comment 6 Fedora Update System 2016-05-20 22:27:32 EDT
dnf-1.1.9-1.fc23, dnf-plugins-core-0.1.21-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-bb69db975e
Comment 7 Fedora Update System 2016-05-21 22:24:28 EDT
dnf-1.1.9-1.fc23, dnf-plugins-core-0.1.21-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.